/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-01 15:32:38 UTC)
 * on 2013-08-06 at 21:43:33 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.licensing.model;

/**
 * LicesnseAssignment List for a given product/sku for a customer.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Enterprise License Manager API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LicenseAssignmentList extends com.google.api.client.json.GenericJson {

  /**
   * ETag of the resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String etag;

  /**
   * The LicenseAssignments in this page of results.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<LicenseAssignment> items;

  /**
   * Identifies the resource as a collection of LicenseAssignments.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * The continuation token, used to page through large result sets. Provide this value in a
   * subsequent request to return the next page of results.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String nextPageToken;

  /**
   * ETag of the resource.
   * @return value or {@code null} for none
   */
  public java.lang.String getEtag() {
    return etag;
  }

  /**
   * ETag of the resource.
   * @param etag etag or {@code null} for none
   */
  public LicenseAssignmentList setEtag(java.lang.String etag) {
    this.etag = etag;
    return this;
  }

  /**
   * The LicenseAssignments in this page of results.
   * @return value or {@code null} for none
   */
  public java.util.List<LicenseAssignment> getItems() {
    return items;
  }

  /**
   * The LicenseAssignments in this page of results.
   * @param items items or {@code null} for none
   */
  public LicenseAssignmentList setItems(java.util.List<LicenseAssignment> items) {
    this.items = items;
    return this;
  }

  /**
   * Identifies the resource as a collection of LicenseAssignments.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Identifies the resource as a collection of LicenseAssignments.
   * @param kind kind or {@code null} for none
   */
  public LicenseAssignmentList setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The continuation token, used to page through large result sets. Provide this value in a
   * subsequent request to return the next page of results.
   * @return value or {@code null} for none
   */
  public java.lang.String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * The continuation token, used to page through large result sets. Provide this value in a
   * subsequent request to return the next page of results.
   * @param nextPageToken nextPageToken or {@code null} for none
   */
  public LicenseAssignmentList setNextPageToken(java.lang.String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  @Override
  public LicenseAssignmentList set(String fieldName, Object value) {
    return (LicenseAssignmentList) super.set(fieldName, value);
  }

  @Override
  public LicenseAssignmentList clone() {
    return (LicenseAssignmentList) super.clone();
  }

}
